Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
Class ExtendedProxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.Proxy
              grails.util.ExtendedProxy

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ExtendedProxy

extends groovy.util.Proxy

Extends the Groovy Proxy implementation and adds proxying of property getters/setters

Since:
  Oct 20, 2005
Author:
  Graeme Rocher, Jonathan Carlson

Constructor Summary
`ExtendedProxy()`

Method Summary
`Object` | `getProperty(String property)`
`void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class groovy.util.Proxy
`getAdaptee, invokeMethod, iterator, setAdaptee, wrap`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedProxy

    public ExtendedProxy()

Method Detail

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `getProperty` in class `groovy.lang.GroovyObjectSupport`

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `setProperty` in class `groovy.lang.GroovyObjectSupport`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass metaClass)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`
  Overrides:
    `setMetaClass` in class `groovy.lang.GroovyObjectSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project